# PetscOptionsEList

Puts a list of option values that a single one may be selected from

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsEList(const char opt[],const char ltext[],const char man[],const char **list,PetscInt ntext,const char defaultv[],PetscInt *value,PetscTruth *set)

Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - option name
| ltext | - short string that describes the option
| man | - manual page with additional information on option
| list | - the possible choices
| ntext | - number of choices
| defaultv | - the default (current) value

### Output Parameter

| value | - the index of the value to return
| set | - PETSC_TRUE if found, else PETSC_FALSE

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

See PetscOptionsList() for when the choices are given in a PetscFList()

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:intermediate
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html